---
title: Check Link Status
slug: us-apis/check-link-status
description: Learn about the Check Instant Link API in this document, designed to track the progress of a user's verification process. Understand the necessary parameters and see an example cURL command. Discover the response body parameters, sample responses, and err
createdAt: 2023-01-31T12:44:28.000Z
---

# Introduction

Check Instant Link Status is used to determine whether Instant Link was completed with or without carrier authentication, whether the link was clicked within the expiration time, and whether the input device was where the link was clicked. This API allows you to periodically check the status of the user's verification process.&#x20;

The Check Instant Link should be called at regular intervals, such as every 10 seconds, within a 5-minutes window after the Send Instant Link API has been called. After this 5-minute period, the SMS link will become invalid, and further attempts to poll will not yield any results.

It is important to note that the requestId and sessionId parameters are obtained from the response of the Send Instant Link API. Make sure to retrieve and use the correct values associated with the specific user verification session.

Remember to adhere to the recommended polling frequency and time window to maintain the verification process's efficiency and accuracy.

## API Details

Need to pass the following information. "requestId" and "sessionId" are generated from Send Instant link API.

- requestId
- sessionId

### Sample cURL

::::Tabs
:::Tab{title="Production"}
```curl
curl --location 'https://api.signzy.us/api/v3/us-kyc/poll-check-verify/request/:requestId/session/:sessionId' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>'
```
:::

:::Tab{title="Pre-Production"}
```curl
curl --location 'https://api-preproduction.signzy.us/api/v3/us-kyc/poll-check-verify/request/:requestId/session/:sessionId' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>'
```
:::
::::

### Request Body Parameters&#xA;

| **Parameter** | **Data Type** | **Required** | **Description**                                                                                 |
| ------------- | ------------- | ------------ | ----------------------------------------------------------------------------------------------- |
| requestId     | string        | Yes          | Unique identifier associated with this request. Must be unique for each transaction.            |
| sessionId     | string        | Yes          | Unique identifier associated with session of this request. Must be unique for each transaction. |

### Response Body Parameters&#xA;

| **Parameter**  | **Data Type** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| -------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| TransactionId  | string        | Unique transaction identifier used to identify the results of the request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| LineType       | string        | Line type associated with the phone number. Possible values are: Mobile, Landline, FixedVoIP, NonFixedVoIP.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| PhoneNumber    | string        | The phone number of the originating phone                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Carrier        | string        | The carrier related to the phone number.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| CountryCode    | string        | The country code associated with the phone number.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| LinkClicked    | boolean       | Boolean informing of whether the Instant Link was clicked before it expired (5-minute limit).                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| PhoneMatch     | string        | Indicates if, after the link was clicked and Mobile Network Operator (MNO) carrier authentication successfully performed, the link was clicked on by the intended mobile device. Possible results:<br />- True :- MNO successfully matched the expected phone number and the SIM of the device that cliicked the link<br />- False :- MNO authendicated the sim card but phone did not match the expected phone number<br />- Indeterminate :- MNO could not determine the SIM information of the device, likely due to being on a Wi-Fi network. |
| IpAddressMatch | boolean       | Boolean indicating if the IP address of the reqeust matches the IP address of the original link generation request                                                                                                                                                                                                                                                                                                                                                                                                                                |




### Sample Response

:::CodeblockTabs
Successful Response (after the link is clicked)

```json
{
  "result": {
    "TransactionId": "12225083692",
    "Carrier": "T-Mobile USA",
    "LineType": "Mobile",
    "CountryCode": "US",
    "LinkClicked": true,
    "PhoneMatch": "indeterminate",
    "SessionId": "646214d929c23b4d42c1fc39",
    "IpAddressMatch": true,
    "_id": "6462150e29c23b4d42352a63"
  }
}
```

Intermediate Response (till the time link is not clicked)

```json
{
    "result": {
        "message": "Please wait for sometime"
    }
}
```
:::

### Error Codes

:::CodeblockTabs
409 (Usptream Down)

```json
{
    "error": {
        "name": "error",
        "message": "Upstream Down",
        "status": 409,
        "reason": "ERROR",
        "type": "Conflict",
        "statusCode": 409
    }
}
```

400 (Bad Request)

```json
{
    "error": {
        "statusCode": 400,
        "message": "params.sessionId should match pattern \"^[0-9a-fA-F]{24}$\"",
        "status": 400,
        "reason": "Bad Request",
        "type": "Bad Request"
    }
}

-- 

{
    "error": {
        "statusCode": 400,
        "message": "params.requestId should match pattern \"^[0-9a-fA-F]{24}$\"",
        "status": 400,
        "reason": "Bad Request",
        "type": "Bad Request"
    }
}

-- 
```

500 (Internal Server Error)

```json
{
    "error": {
        "name": "error",
        "message": "Invalid requestId or sessionId",
        "status": 401,
        "reason": "ERROR",
        "type": "Unauthorized",
        "statusCode": 500
    }
}
```

401 (Authentication)

```json
{
  "error": {
     "name": "error",
     "message": "Invalid authentication credentials",
     "status": 401,
     "reason": "AUTHENTICATION_ERROR",
     "type": "Bad Request",
     "statusCode": 401
  }
}
```
:::

### Error Response Parameters

| **Parameter**    | **Description**                    |
| ---------------- | ---------------------------------- |
| error            | This parameter contains the error. |
| error.name       | the name of the error              |
| error.message    | the error message                  |
| error.status     | status of the api                  |
| error.reason     | Reason for error                   |
| error.type       | Type of the error                  |
| error.statusCode | Request Status code from Signzy    |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::

